/* Cart Drawer */

#astra-mobile-cart-drawer {
    border: none;
}

#astra-mobile-cart-drawer .astra-cart-drawer-header {
    border-color: var(--ast-global-color-8);
}

#astra-mobile-cart-drawer .astra-cart-drawer-header *, #astra-mobile-cart-drawer .product_list_widget *, #astra-mobile-cart-drawer .woocommerce-mini-cart__total * {
    color: var(--ast-global-color-8);
}

#astra-mobile-cart-drawer .widget_shopping_cart_content li {
    background-color: #ede2d8;
    margin-bottom: 10px;
    border: none;
    border-radius: 10px;
    padding: 10px 10px 10px 100px;
}

#astra-mobile-cart-drawer .widget_shopping_cart_content li img {
    border-radius: 5px;
    margin-left: 10px;
}

#astra-mobile-cart-drawer .total-cart-tax {
    padding: 5px 20px 5px 20px;
    color: grey;
    border: none;
}

#astra-mobile-cart-drawer .woocommerce-mini-cart__total {
    border-bottom: none;
    border-color: var(--ast-global-color-8);
}

/* Cart Form */

.woocommerce-cart-form .coupon input {
    border-radius: 25px;
    padding: 25px 25px 25px 35px !important;
}

.woocommerce-cart-form .coupon {
    padding: 15px;
}

.cart_totals, .woocommerce-cart-form {
    border-radius: 10px !important;
    overflow: hidden;
    border: var(--ast-border-color) thin solid;
}

.woocommerce-cart-form {
    margin-bottom: 40px;
}

.woocommerce-cart-form img {
    border-radius: 5px;
    border: var(--ast-global-color-7) thin solid;
}

.woocommerce-cart-form table {
    border: none !important;
    margin-bottom: 0 !important;
}

.wc-block-mini-cart__button {
    background-color: transparent !important;
    border: none !important;
    color: black !important;
    float: right;
}

/** Cart drawer area (from menu) */
body > div.wc-block-components-drawer__screen-overlay {
    z-index: 999999;
}
/** Cart drawer styles */
body > div.wc-block-components-drawer__screen-overlay > div,
#astra-mobile-cart-drawer {
    background-color: rgba(255,255,255,0.9) !important;
    background-blend-mode: lighten;
    backdrop-filter: blur(10px);
    border: 1px solid hsla(0,0%,7%,.11) !important;
}
/** Cart drawer style fixes */
body > div.wc-block-components-drawer__screen-overlay > div {
    > div, > div > div > div {
        background-color: transparent;
    }
}
#astra-mobile-cart-drawer {
    li.woocommerce-mini-cart-item {
        background-color: white;
    }
}
